Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskCreation

    java.lang.Object
      com.bea.wli.worklist.api.TaskCreation

All Implemented Interfaces:
  Cloneable, Serializable

public final class TaskCreation
extends Object
implements Serializable, Cloneable

This class provides information for creating a task. It is necessary to specify at least the task name.

The following defaults are used if not specified:
priority => 1.
canBeReassigned => true.
canBeReturned => true.
canBeAborted => true.
owner => the current user.

See Also:
  Serialized Form

Constructor Summary
`TaskCreation()`

Method Summary
`Object` | `clone()`
`String` | `getAssignToUser()`
`String` | `getAssignToUserInGroup()`
`String[]` | `getAssignToUsersAndGroups()`
`Boolean` | `getCanBeAborted()`
`Boolean` | `getCanBeReassigned()`
`Boolean` | `getCanBeReturned()`
`BusinessTime` | `getClaimDueBusinessTime()`
`Date` | `getClaimDueDate()`
`String` | `getComment()`
`BusinessTime` | `getCompletionDueBusinessTime()`
`Date` | `getCompletionDueDate()`
`String` | `getDescription()`
`String` | `getName()`
`String` | `getOwner()`
`Integer` | `getPriority()`
`TaskMessage` | `getRequest()`
`void` | `setAssignToUser(String assignToUser)`
`void` | `setAssignToUserInGroup(String assignToUserInGroup)`
`void` | `setAssignToUsersAndGroups(String[] assignToUsersAndGroups)`
`void` | `setCanBeAborted(Boolean canBeAborted)`
`void` | `setCanBeReassigned(Boolean canBeReassigned)`
`void` | `setCanBeReturned(Boolean canBeReturned)`
`void` | `setClaimDueBusinessTime(BusinessTime claimDueBusinessTime)`
`void` | `setClaimDueDate(Date claimDueDate)`
`void` | `setComment(String comment)`
`void` | `setCompletionDueBusinessTime(BusinessTime completionDueBusinessTime)`
`void` | `setCompletionDueDate(Date completionDueDate)`
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setOwner(String owner)`
`void` | `setPriority(Integer priority)`
`void` | `setRequest(TaskMessage request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskCreation

    public TaskCreation()

Method Detail

### setCanBeAborted

    public void setCanBeAborted(Boolean canBeAborted)

### getCanBeAborted

    public Boolean getCanBeAborted()

### setCanBeReassigned

    public void setCanBeReassigned(Boolean canBeReassigned)

### getCanBeReassigned

    public Boolean getCanBeReassigned()

### setCanBeReturned

    public void setCanBeReturned(Boolean canBeReturned)

### getCanBeReturned

    public Boolean getCanBeReturned()

### setClaimDueDate

    public void setClaimDueDate(Date claimDueDate)

### getClaimDueDate

    public Date getClaimDueDate()

### setCompletionDueDate

    public void setCompletionDueDate(Date completionDueDate)

### getCompletionDueDate

    public Date getCompletionDueDate()

### setComment

    public void setComment(String comment)

### getComment

    public String getComment()

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### setName

    public void setName(String name)

### getName

    public String getName()

### setOwner

    public void setOwner(String owner)

### getOwner

    public String getOwner()

### setPriority

    public void setPriority(Integer priority)

### getPriority

    public Integer getPriority()

### setRequest

    public void setRequest(TaskMessage request)

### getRequest

    public TaskMessage getRequest()

### setCompletionDueBusinessTime

    public void setCompletionDueBusinessTime(BusinessTime completionDueBusinessTime)

### getCompletionDueBusinessTime

    public BusinessTime getCompletionDueBusinessTime()

### setClaimDueBusinessTime

    public void setClaimDueBusinessTime(BusinessTime claimDueBusinessTime)

### getClaimDueBusinessTime

    public BusinessTime getClaimDueBusinessTime()

### setAssignToUser

    public void setAssignToUser(String assignToUser)

### getAssignToUser

    public String getAssignToUser()

### setAssignToUserInGroup

    public void setAssignToUserInGroup(String assignToUserInGroup)

### getAssignToUserInGroup

    public String getAssignToUserInGroup()

### setAssignToUsersAndGroups

    public void setAssignToUsersAndGroups(String[] assignToUsersAndGroups)

### getAssignToUsersAndGroups

    public String[] getAssignToUsersAndGroups()

### clone

    public Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD